For the complete documentation index, see llms.txt. This page is also available as Markdown.

perpDexStatus

Returns the status of a builder-deployed (HIP-3) perp DEX, including its total net deposits.

Field
Type
Description

type

string

Must be "perpDexStatus"

dex

string

Perp DEX name (e.g. "xyz"). Required. An empty string selects the native Hyperliquid perp DEX.

Request

curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "perpDexStatus",
    "dex": "xyz"
  }'
import requests
import os
import json

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'perpDexStatus',
        'dex': 'xyz'
    },
    headers={
        'Authorization': f'Bearer {os.environ["HYDROMANCER_API_KEY"]}',
        'Content-Type': 'application/json'
    }
)
print(json.dumps(response.json(), indent=2))

Response Fields

Field
Type
Description

totalNetDeposit

string

Total net deposits into the DEX

Response
{
  "totalNetDeposit": "825489811.4041969776"
}

Last updated